Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360289 - CVE-2016-7103 python-XStatic-jquery-ui: jquery-ui: cross-site scripting in dialog closeText [fedora-all]
Summary: CVE-2016-7103 python-XStatic-jquery-ui: jquery-ui: cross-site scripting in di...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-XStatic-jquery-ui
Version: 27
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radomir Dopieralski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2016-07-26 12:02 UTC by Martin Prpič
Modified: 2018-11-27 19:25 UTC (History)
4 users (show)

Fixed In Version: python-XStatic-jquery-ui-1.12.0.1-2.fc26 python-XStatic-jquery-ui-1.12.0.1-4.fc25 python-XStatic-jquery-ui-1.12.0.1-1.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-27 19:25:41 UTC


Attachments (Terms of Use)

Description Martin Prpič 2016-07-26 12:02:03 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2016-07-26 12:02:09 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1360286,1360289

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Admin XMLRPC Client 2017-04-04 10:02:18 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Update System 2017-04-07 11:44:11 UTC
python-XStatic-jquery-ui-1.12.0.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7ecb12e378

Comment 4 Fedora Update System 2017-04-07 11:44:27 UTC
python-XStatic-jquery-ui-1.12.0.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8330a48ca2

Comment 5 Fedora Update System 2017-04-07 11:44:37 UTC
python-XStatic-jquery-ui-1.12.0.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1bf5a0ce01

Comment 6 Fedora Update System 2017-04-07 11:44:46 UTC
python-XStatic-jquery-ui-1.12.0.1-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e2d17af41e

Comment 7 Fedora Update System 2017-04-07 18:50:40 UTC
python-XStatic-jquery-ui-1.12.0.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7ecb12e378

Comment 8 Fedora Update System 2017-04-07 19:54:37 UTC
python-XStatic-jquery-ui-1.12.0.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8330a48ca2

Comment 9 Fedora Update System 2017-04-07 19:58:40 UTC
python-XStatic-jquery-ui-1.12.0.1-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e2d17af41e

Comment 10 Fedora Update System 2017-04-07 21:22:18 UTC
python-XStatic-jquery-ui-1.12.0.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1bf5a0ce01

Comment 11 Fedora End Of Life 2017-07-25 22:04:25 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Jan Kurik 2017-08-08 11:29:25 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates.

As this is a security big we are moving this bug to the currently latest
supported release. Please check whether this bug is still applicable.

Comment 13 Fedora End Of Life 2017-11-16 19:15:10 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora Update System 2017-11-22 02:25:37 UTC
python-XStatic-jquery-ui-1.12.0.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-11-22 05:07:46 UTC
python-XStatic-jquery-ui-1.12.0.1-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-01-09 16:16:01 UTC
python-XStatic-jquery-ui-1.12.0.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Xavier Bachelot 2018-01-24 17:28:07 UTC
Rawhide and F27 still have the flawed version, while F26 and EL7 are fine. Could you please take a look ?

https://apps.fedoraproject.org/packages/python-XStatic-jquery-ui

Comment 18 Xavier Bachelot 2018-04-20 12:01:29 UTC
F28 is going to be released with a flawed version. F27 and rawhide are still affected too.

Comment 19 Fedora Blocker Bugs Application 2018-04-20 18:04:45 UTC
Proposed as a Freeze Exception for 28-final by Fedora user xavierb using the blocker tracking app because:

 Security issue. Also F26 has a higher version than F27/F28/Rawhide.

Comment 20 Adam Williamson 2018-04-24 01:16:27 UTC
Discussed at 2018-04-23 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-04-23/f28-blocker-review.2018-04-23-16.00.html . We agreed to delay decision on this as an update has not been created so we can't really evaluate whether the change in the update is worth the benefit of fixing a LOW impact security issue.

Comment 21 Jan Kurik 2018-05-31 08:02:26 UTC
This bug has been reported against a Fedora version which is already unsuported.
In compliance with FESCo decision how to handle EOL of Security issues [1],
I am changing the version to '27', the latest supported release.

Please check whether this bug is still an issue on the '27' release.
If you find this bug not being applicable on this release, please close it.

[1] https://pagure.io/fesco/issue/1736

Comment 22 Radomir Dopieralski 2018-06-18 08:10:35 UTC
This package is already updated both in f25 and f27

Comment 23 Ben Cotton 2018-11-27 15:09:42 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 24 Adam Williamson 2018-11-27 19:25:41 UTC
Per #c22, let's just close this.


Note You need to log in before you can comment on or make changes to this bug.